import { Injectable } from '@angular/core';



import { ConfirmationComponentsMagicProvider } from "@magic-xpa/angular";
import { CustomAlertComponent } from "./custom-alert/custom-alert.component";
import { CustomCnfComponent } from "./custom-cnf/custom-cnf.component";


@Injectable()
export class customConfirmationMagicProviderService extends ConfirmationComponentsMagicProvider {

  override getAlertComponent() {
    return CustomAlertComponent;
  }
  override getConfirmtionComponent() {
    return CustomCnfComponent;
  }
  override showDefaultConfirmations(): boolean {
    return false;
  }



}


